View Issue Details

IDProjectCategoryView StatusLast Update
0001340Far Manager 1.7x_Commonpublic2010-04-16 12:45
ReporterArtyAssigned Tovskirdin 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS VersionSeven Ultimate
Product Version1.75 
Target VersionFixed in Version1.75 
Summary0001340: FAR падает при больших размерах консоли
DescriptionПри нажатии Alt-F9 FAR распахивается на весь экран и падает, сразу или почти сразу (тогда лезут артефакты). Размеры консоли в знакоместах - 210x82.
Steps To Reproduce1. Запустить FAR.
2. Убедиться, что размер шрифта достаточно мелкий, чтобы консоль могла достигнуть размеров 210x82.
3. Нажать Alt-F9
Additional InformationFAR 1.75 build 2627 x86, запущен с ключом /p
Артефакты появляются уже на размерах 200x80, при попытке выставить 200x85 уже падает.
TagsNo tags attached.
Build2628

Activities

Arty

2010-04-09 17:58

reporter  

Fullscreen_artifacts.png (82,999 bytes)
Fullscreen_artifacts.png (82,999 bytes)

Arty

2010-04-09 17:58

reporter  

Fullscreen_crash.png (89,131 bytes)
Fullscreen_crash.png (89,131 bytes)

vskirdin

2010-04-09 20:37

administrator   bugnote:0005189

хмм... а как на счет 2.x?
...а то как то негоже под семеркой запускать "древний" софт, при наличии более совершенного.

Arty

2010-04-09 21:35

reporter   bugnote:0005192

дык под 2.x уже давно и сижу.
запустил только чтобы проверить http://bugs.farmanager.com/view.php?id=1288
по привычке нажал Alt-F9 и тут же получил вылет.

Arty

2010-04-09 21:36

reporter   bugnote:0005193

Last edited: 2010-04-09 21:36

View 2 revisions

а.. ну да, на 2.0 build 1491 x86 и более ранних не встречал такого ни разу.

vskirdin

2010-04-12 12:54

administrator   bugnote:0005198

1.75 build 2627 x86
xp sp3
Far развернутый 480x188

не подтверждаю
давай больше данных

DrKnS

2010-04-12 14:19

administrator   bugnote:0005199

vskirdin

А в xp оно и не падало. Проблема как бы специфична для Windows 7.

В 2.0 давно "исправлено" (см. #define MAXSIZE 0x7FFF в scrbuf.cpp)

А в 1.7 не менялось, размер блока там по прежнему 0xFFFF, отсюда и сабж.

Arty

2010-04-12 14:55

reporter   bugnote:0005200

Кстати под семеркой x64 все работает как часы.

vskirdin

2010-04-12 16:50

administrator   bugnote:0005202

build 2628

Arty

2010-04-16 11:50

reporter   bugnote:0005222

больше не падает и артефактов нет.

PS: в билде 2628 пропала иконка из ресурсов far.exe

Issue History

Date Modified Username Field Change
2010-04-09 17:58 Arty New Issue
2010-04-09 17:58 Arty File Added: Fullscreen_artifacts.png
2010-04-09 17:58 Arty File Added: Fullscreen_crash.png
2010-04-09 20:37 vskirdin Note Added: 0005189
2010-04-09 21:35 Arty Note Added: 0005192
2010-04-09 21:36 Arty Note Added: 0005193
2010-04-09 21:36 Arty Note Edited: 0005193 View Revisions
2010-04-12 12:54 vskirdin Note Added: 0005198
2010-04-12 14:19 DrKnS Note Added: 0005199
2010-04-12 14:55 Arty Note Added: 0005200
2010-04-12 16:48 vskirdin Status new => assigned
2010-04-12 16:48 vskirdin Assigned To => vskirdin
2010-04-12 16:50 vskirdin Note Added: 0005202
2010-04-12 16:50 vskirdin Status assigned => feedback
2010-04-16 11:50 Arty Note Added: 0005222
2010-04-16 11:50 Arty Status feedback => assigned
2010-04-16 11:50 Arty Status assigned => resolved
2010-04-16 12:45 vskirdin Build => 2628
2010-04-16 12:45 vskirdin Status resolved => closed
2010-04-16 12:45 vskirdin Resolution open => fixed
2010-04-16 12:45 vskirdin Fixed in Version => 1.75